Bug 234978 - www/mod_dav_svn: pkg-static error: mod_dontdothat.so:No such file or directory
Summary: www/mod_dav_svn: pkg-static error: mod_dontdothat.so:No such file or directory
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-15 17:21 UTC by O. Hartmann
Modified: 2019-01-17 13:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments
Patch to remove mod_dontdothat.so from plist (334 bytes, patch)
2019-01-16 13:58 UTC, Dean E. Weimer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2019-01-15 17:21:36 UTC
Recent update to subversion and the recompilation/installation/update of www/mod_dav_svn results in the error shown bewlow:

[...]
/usr/local/share/apr/build-1/libtool --mode=install install mod_authz_svn.la /usr/ports/www/mod_dav_svn/work/stage/usr/local/libexec/apache24/
libtool: install: install .libs/mod_authz_svn.so /usr/ports/www/mod_dav_svn/work/stage/usr/local/libexec/apache24/mod_authz_svn.so
libtool: install: install .libs/mod_authz_svn.lai /usr/ports/www/mod_dav_svn/work/stage/usr/local/libexec/apache24/mod_authz_svn.la
libtool: warning: remember to run 'libtool --finish /usr/local/libexec/apache24'
chmod 755 /usr/ports/www/mod_dav_svn/work/stage/usr/local/libexec/apache24/mod_authz_svn.so
install  -m 0644 /usr/ports/www/mod_dav_svn/work/220_subversion.conf.sample  /usr/ports/www/mod_dav_svn/work/stage/usr/local/etc/apache24/modules.d
====> Compressing man pages (compress-man)
===>  Installing for mod_dav_svn-1.11.1
===>   Registering installation for mod_dav_svn-1.11.1
pkg-static: Unable to access file /usr/ports/www/mod_dav_svn/work/stage/usr/local/libexec/apache24/mod_dontdothat.so:No such file or directory
*** Error code 74

Stop.
make: stopped in /usr/ports/www/mod_dav_svn

===>>> Installation of mod_dav_svn-1.11.1 (www/mod_dav_svn) failed
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> www/mod_dav_svn 

This command has been saved to /tmp/portmasterfail.txt
Comment 1 Dean E. Weimer 2019-01-16 13:58:39 UTC
Created attachment 201184 [details]
Patch to remove mod_dontdothat.so from plist

Here's a patch that gets it to install not sure if its the correct solution though.
Comment 2 Lev A. Serebryakov freebsd_committer 2019-01-16 15:05:21 UTC
(In reply to Dean E. Weimer from comment #1)
Nope, proper patch to install it :-)
Comment 3 commit-hook freebsd_committer 2019-01-16 15:07:22 UTC
A commit references this bug:

Author: lev
Date: Wed Jan 16 15:06:43 UTC 2019
New revision: 490483
URL: https://svnweb.freebsd.org/changeset/ports/490483

Log:
    Fix mod_dontdothat installation.

  PR:		234978
  Reported by:	ohartmann@walstatt.org

Changes:
  head/devel/subversion/files/build-outputs.mk.addons
  head/devel/subversion/files/patch-build.conf
  head/www/mod_dav_svn/Makefile
Comment 4 Lev A. Serebryakov freebsd_committer 2019-01-17 13:36:16 UTC
Should be fixed now